#ifndef __IO_H__
#define __IO_H__

#include <stdint.h>

#define OP_GET_DHT22         0x2A
#define OP_GET_DHT22_2       0x2B
#define OP_GET_DHT_RAW       0x2C

typedef union 
{
	struct 
	{
		uint8_t bOperation;
		uint8_t bDevAddr;
		uint8_t bAddr;
		uint8_t bLen;
		uint8_t abData[];
	} pc2dev;
	
	struct 
	{
		uint8_t bRetStatus;
		uint8_t bRes1;
		uint8_t bRes2;
		uint8_t bLen;
		uint8_t abData[];
	} dev2pc;

	struct 
	{
		uint8_t bRetStatus;
		uint8_t bRes1;
		uint8_t bRes2;
		uint8_t bLen;
		float humidity;
		float temperature;
	} dev2pc_dht;

	uint8_t abBuffer[64];
} io_data_t;

#endif // __IO_H__
