#include <LPC13xx.h>
#include <core_cm3.h>
#include <string.h>
#include "timer.h"
#include "dbg.h"
#include "type.h"

int timer0_init(int prescale)
{
	LPC_SYSCON->SYSAHBCLKCTRL |= (1<<9); // already pwron

	LPC_TMR32B0->PR  = prescale;
	LPC_TMR32B0->TC  = 0;
	LPC_TMR32B0->TCR = 1;
	
	//NVIC_EnableIRQ(TIMER_32_0_IRQn);

	return 0;
}

#if !defined( TIMER_INLINE )
uint32_t timer0_get(void)
{
	return LPC_TMR32B0->TC;
}
#endif // TIMER_INLINE

void delay_ms(uint32_t ms)
{
	uint32_t curms = LPC_TMR32B0->TC;
	while ((LPC_TMR32B0->TC - curms) < ms*1000);
}

void delay_mks(uint32_t mks)
{
	uint32_t curmks = LPC_TMR32B0->TC;
	while ((LPC_TMR32B0->TC - curmks) < mks);
}
