#ifndef __TIMER_H__
#define __TIMER_H__

#include <stdint.h>

#define TIMER_INLINE

#if defined( TIMER_INLINE )
#include <LPC13XX.H>
#include <core_cm3.h>
#endif

int timer0_init(int prescale);
int timer1_init(int prescale);

#if !defined( TIMER_INLINE )
uint32_t timer0_get(void);
uint32_t timer1_get(void);
#else
#define timer0_get()		(LPC_TMR32B0->TC)
#define timer1_get()		(LPC_TMR32B1->TC)
#endif

int timer0_set(uint32_t value);
int timer1_set(uint32_t value);

void delay_ticks0(uint32_t ticks);
void delay_ticks1(uint32_t ticks);

void delay_ms(uint32_t ms);
void delay_mks(uint32_t mks);

#endif // __TIMER_H__
